package fr.unice.javinspector.GUI.main;

import java.awt.*;
import javax.swing.*;
import fr.unice.javinspector.GUI.util.*;
import javax.swing.border.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author APPIETTO Christophe - ARNAUD Jean-Michel - EL MAHRATI Hassan
 * @version 1.2
 */

public class ExplicationPanel extends JPanel {
  BorderLayout borderLayout1 = new BorderLayout();
  JPanel jPanelCenter = new JPanel();
  FlowLayout flowLayout1 = new FlowLayout();
  Icon starIcon = new ImageIcon(ExplicationPanel.class.getResource("/imgs/jistar.gif"));
  JLabel jLabel1 = new JLabel(starIcon);
  JTextArea jTextArea1 = new JTextArea();
  JPanel JPanelDown = new JPanel();
  JTextArea jTextArea2 = new JTextArea();
  String eol = System.getProperty("line.separator");

  public ExplicationPanel() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    jTextArea1.setBackground(Color.WHITE);
    jTextArea1.setEditable(false);
    jTextArea1.setBorder(null);
    jTextArea1.setText("JavInspector : a  non intrusive java classifier inspector" + eol +
                       "APPIETTO Christophe - ARNAUD Jean-Michel - EL MAHRATI Hassan" + eol +
                       "Universite de NICE-Sophia Antipolis 2003/2004");
    jPanelCenter.add(jLabel1);
    jTextArea2.setText(
        "FEATURES : " + eol +
        "\t-View the heritage, composition/utilisation graph of a java classifier" + eol +
        "\t-Browse the details of a classifier (constructors, methods, internal classes etc ...)" + eol +
        "\t-Perform simple (text matching) and advaced (regexp matching) search on one or a list of classifier" + eol +
        "\t-Open multiple classifier at the same time" + eol +
        "FOR THE IMPATIENTS : " + eol +
        "\t-Open a classifier : click the Open button in the toolbar or go to File->Open new classifier" + eol +
        "\t-Change current inspector : use the box on the toolbar to select the current inspector" + eol +
        "\t-Close the current inspector : use the garbage icon in the toolbar or go to File->Close current inspector" + eol +
        "\t-Lauch a search : click the Search button in the toolbar" + eol +
        "\t-View the results of the searches : click the view results buton in the toolbar" + eol +
        "\t-Quit JavInspector : go to File->Exit JavInspector" + eol
        );
    JPanelDown.add(jTextArea2);
    jPanelCenter.add(jTextArea1);
    this.add(jPanelCenter, BorderLayout.NORTH);
    this.add(JPanelDown, BorderLayout.CENTER);
  }

  private void jbInit() throws Exception {
    this.setBackground(Color.white);
    this.setBorder(BorderFactory.createEtchedBorder());
    this.setLayout(borderLayout1);
    jPanelCenter.setBackground(Color.white);
    JPanelDown.setBackground(Color.WHITE);
    jPanelCenter.setLayout(flowLayout1);
    flowLayout1.setAlignment(FlowLayout.LEFT);
    flowLayout1.setVgap(0);
  }
}
