package fr.unice.javinspector.core.engineSearch;

import java.util.ArrayList;
import java.lang.reflect.Member;
import fr.unice.javinspector.GUI.search.*;

/**
 * <p>Title: NameGroupCriterion</p>
 * <p>Description: this group has only onr criterion that test the name of
 * the member.</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: UNICE</p>
 * @author Zerbib Gabriel - Charbit Lucas - Galbois Xavier - Gahide Jrme
 * @version 1.0
 */

public class NameGroupCriterion extends GroupCriterion {

  private Criterion name_Criterion = new NameCriterion();
  private Criterion nameRegExpr_Criterion = new NameRegexpCriterion();

  public NameGroupCriterion() {
    name = "NameGroupCriterion";

    // add here the criterion you want
    criterionList.add(name_Criterion);

  }

  /**
   * Set the name to compare with
   * @param name he name to compare with
   */
  public void setName(String name){
    ((NameCriterion)name_Criterion).setNameToCompare(name);
  }

  /**
   * Set the name to compare with
   * @param name he name to compare with
   */
  public void setNameRegExpr(String name){
    ((NameRegexpCriterion)nameRegExpr_Criterion).setNameToCompare(name);
  }


  /**
   *
   * @deprecated the mediator has not been implemented.
   * @param c the criterion
   * @param state the state
   * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectStatesCriterion(Criterion c, int state) {

    throw new java.lang.UnsupportedOperationException("Method selectStatesCriterion() not yet implemented.");
  }

  /**
   *
   * @deprecated the mediator has not been implemented.
   * @param c the criterion
   * @param ll the state
   * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) selectStatesCriterion
   */
  public void selectLogicalLinkCriterion(Criterion c, int ll) {

    throw new java.lang.UnsupportedOperationException("Method selectLogicalLinkCriterion() not yet implemented.");
  }

}
