package fr.unice.javinspector.core.engineSearch;


import java.lang.reflect.*;


/**
 * <p>Title: NativeCriterion</p>
 * <p>Description: the criterion that test if the member is Native</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Zerbib Gabriel - Charbit Lucas - Galbois Xavier - Gahide Jrme
 * @version 1.0
 */

public class NativeCriterion extends Criterion {

  public NativeCriterion() {
    this.name = "native";
  }

  public boolean isCriterionValid(Member m) throws fr.unice.javinspector.core.engineSearch.SearchEngineException {
    if( isActive == EngineSearchConst.NOT){
          return !Modifier.isNative(m.getModifiers());
        }
        else if( isActive == EngineSearchConst.YES){
          return Modifier.isNative(m.getModifiers());
        }
        else if( isActive == EngineSearchConst.DONTMIND){
          // if i don't mind of the result, I always return true
          // logic !!
          return true;
        }
        else{
         throw new SearchEngineException("isCriterionValid : Native Criterion : ");
       }
  }

}
