package fr.unice.javinspector.core.engineSearch;

import java.util.ArrayList;
import java.lang.reflect.Member;
import java.util.Iterator;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class ProtectionGroupCriterion extends GroupCriterion {

  public ProtectionGroupCriterion(){
    name = "ProtectionGroupCriterion";

    // add here the criterion you want
    criterionList.add(new PrivateCriterion());
    criterionList.add(new PublicCriterion());
    criterionList.add(new ProtectedCriterion());
    criterionList.add(new packageCriterion());

  }

   /**
    * This the mediator for selecting a criterion. Thank to this method,
    * we are able to apply simple rukes like : "only one criterion can be
    * selected at once at the state YES"
    * NB : for this group there is a rule that I call Uniq.
    * Only one of
    * @param c the criterion to set.
    * @param state the state to set c
    * @see EngineSearchConst
    */
   public void selectStatesCriterion(Criterion c, int state){

   }

   /**
    *
    * @deprecated the mediator has not been implemented.
    * @param c the criterion
    * @param ll the state
    * @see GroupCriterion#selectStatesCriterion(Criterion c, int ll) electStatesCriterion
    */
   public void selectLogicalLinkCriterion(Criterion c, int ll){
     // for this classes, we forbit the use of the AND logical link
     // cause we don't want private AND public
   }


}
